import NavbarTransparent from "@comp/Navbar/NavbarTransparent";
import Image from "next/image";
import PersianNumber from "@plug/PersianNumber";
import React from "react";
import kam from "@img/kam.png";
import PaginationCategoory from "@comp/PaginationCategoory/page";
import { usePathname, useSearchParams } from "next/navigation";
import BlogsData from "@comp/Pages/Blog/BlogsData/page";

async function getData(sParams) {
  // console.log("page , check", params.page);
  const query = {
    page: 0,
    ...sParams,
  };

  const res = await fetch(
    `${process.env.NEXT_PUBLIC_API_URL}/blog?` +
      new URLSearchParams({ ...query }),
    // ?page=${params.page ?? 0}
    { cache: "no-cache" }
  );
  const post = await res.json();
  console.log("dddddddd ", post);

  return post;
}

async function getCaetgories() {
  const res = await fetch(`${process.env.NEXT_PUBLIC_API_URL}/blog/category`, {
    next: { revalidate: 60 * 60 * 24 },
  });

  const post = await res.json();

  // console.log("aaaaaaaaaaaaaaaaaaaa", post);
  return post;
}

export async function generateMetadata() {
  const metadataUrl = new URL(`blogs`, process.env.NEXT_PUBLIC_APP_URL);
  return {
    title: "مجله حامیان عدالت",
    description: ` در  مجله ی محتواییه وکلای حامیان عدالت بیشتر بدانید    `,
    metadataBase: metadataUrl,
    keywords: [
      "بهترین وکیل چک تهران",
      "بهترین وکیل ساختمان در تهران",
      "وکیل سایبری در تهران",
    ],

    openGraph: {
      title: "مجله حامیان عدالت",
      description: ` در  مجله ی محتواییه وکلای حامیان عدالت بیشتر بدانید    `,
      url: metadataUrl,
      type: "website",
      locale: "fa-IR",
      type: "website",
    },
  };
}

const page = async ({ searchParams }) => {
  const data = await getData(searchParams);
  const dataCaetgories = await getCaetgories();
  // console.log("-------------------------------- ", dataCaetgories);

  return <BlogsData data={data} dataCaetgories={dataCaetgories} />;
};

export default page;
